@import "../css/style.css";



.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    gap: 1rem;
}



input,
select {
    width: 100%;
    padding: .7rem;
    border-radius: 10px;
    color: var(--color-tipografia-input-modal);
    border: 1px solid var(--color-border-input-header-panel);
    background-color: var(--color-input-search-header-panel);
}

label {
    font-size: .85rem;
    color: var(--muted);
}



.actions .btn-send-dates {
    padding: .8rem 1.2rem;
    border: none;
    border-radius: 12px;
    font-weight: 600;
    cursor: pointer;
    background:linear-gradient(to left, lime, green);
    color: white;
}


.triple-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
}

.card-financial-sheet {
    border: 1px solid var(--color-border-form);
    border-radius: 12px;
    padding: 14px;
    background-color: var(--color-fondo-form);
    margin-bottom: 2%;
    margin-top: 2%;

}

.card-financial-sheet h3{
    color: var(--color-tipografia-input-modal);
    margin-bottom: 2%;
}

.fin-table {
    width: 100%;
    border-collapse: collapse;
}

.fin-table th {
    font-size: 14px;
    font-family: var(--font-title);
    font-weight: 600;
    color: #94a3b8;
    text-align: left;
    padding-bottom: 6px;
}

.fin-table td {
    padding: 6px 4px;
}

.fin-table input {
    width: 100%;
    background: #020617;
    border: 1px solid var(--color-border-form);
    color:var(--color-tipografia-input-modal);
    padding: 8px;
    border-radius: 6px;
    background-color: var(--color-fondo-inputs-form);
}

.add-row {
    text-align: center;
    color:dodgerblue;
    cursor: pointer;
    font-size: 13px;
}

.add-row:hover {
    text-decoration: underline;
}






.financial-data-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.178);
  backdrop-filter: blur(3px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  opacity: 0;
  pointer-events: none;
  transition: opacity .25s ease;
}

.financial-data-overlay.show {
  opacity: 1;
  pointer-events: all;
}

.data-loader {
  width: 90px;
  height: 90px;
}